/****************************************************************************
	stdinc.h

	standard include file for Sunflower C(tm) library
****************************************************************************/

#ifndef STDINC_ALREADY_INCLUDED
#define STDINC_ALREADY_INCLUDED

#define __LGMEM__	__MEDIUM__||__LARGE__||__HUGE__
#define FALSE 0
#define TRUE !FALSE
#define OUTPUT 0
#define	INPUT !OUTPUT

typedef unsigned char	BOOLEAN;	/* Boolean */
typedef unsigned char	UBYTE;		/* 8 bit unsigned */
typedef char			BYTE;		/* 8 bit signed */
typedef unsigned int	UWORD;		/* 16 bit unsigned */
typedef int				WORD;		/* 16 bit signed */
typedef unsigned long	ULONG;		/* 32 bit unsigned */
typedef long			LONG;		/* 32 bit signed */

typedef struct {
	/* assuming that I/O chips are mapped into I/O space and may use an
		interrupt vector (possibly shared): */
	UWORD	base;  				/* I/O base address of comm chip */
	UBYTE	intr;				/* interrupt vector number */
} IOPARMS;


#ifndef CLIP(a,b)
#define CLIP(a,b) ((a)>(b))?(b):(a)
#endif

#endif